import { useI18n } from "vue-i18n";
import type { ServiceItem } from "~/types/Tabs";

export const useDigitalServicesData = () => {
  const { t } = useI18n();
  const servicesData = computed<ServiceItem[]>(() => [
    {
      value: "social-media-management",
      title: t("digitalSerivces.0.title"),
      content: {
        title: t("digitalSerivces.0.content.title"),
        description: t("digitalSerivces.0.content.description"),
        features: [
          { text: t("digitalSerivces.0.content.features.0.text") },
          { text: t("digitalSerivces.0.content.features.1.text") },
          { text: t("digitalSerivces.0.content.features.2.text") },
        ],
      },
    },
    {
      value: "digital-marketing-and-tracking",
      title: t("digitalSerivces.1.title"),
      content: {
        title: t("digitalSerivces.1.content.title"),
        description: t("digitalSerivces.1.content.description"),
        features: [
          { text: t("digitalSerivces.1.content.features.0.text") },
          { text: t("digitalSerivces.1.content.features.1.text") },
          { text: t("digitalSerivces.1.content.features.2.text") },
        ],
      },
    },
    {
      value: "branding-design",
      title: t("digitalSerivces.2.title"),
      content: {
        title: t("digitalSerivces.2.content.title"),
        description: t("digitalSerivces.2.content.description"),
        features: [
          { text: t("digitalSerivces.2.content.features.0.text") },
          { text: t("digitalSerivces.2.content.features.1.text") },
          { text: t("digitalSerivces.2.content.features.2.text") },
        ],
      },
    },
    {
      value: "media-services",
      title: t("digitalSerivces.3.title"),
      content: {
        title: t("digitalSerivces.3.content.title"),
        description: t("digitalSerivces.3.content.description"),
        features: [
          { text: t("digitalSerivces.3.content.features.0.text") },
          { text: t("digitalSerivces.3.content.features.1.text") },
          { text: t("digitalSerivces.3.content.features.2.text") },
        ],
      },
    },
    {
      value: "seo-optimization",
      title: t("digitalSerivces.4.title"),
      content: {
        title: t("digitalSerivces.4.content.title"),
        description: t("digitalSerivces.4.content.description"),
        features: [
          { text: t("digitalSerivces.4.content.features.0.text") },
          { text: t("digitalSerivces.4.content.features.1.text") },
          { text: t("digitalSerivces.4.content.features.2.text") },
        ],
      },
    },
    {
      value: "marketing-consulting",
      title: t("digitalSerivces.5.title"),
      content: {
        title: t("digitalSerivces.5.content.title"),
        description: t("digitalSerivces.5.content.description"),
        features: [
          { text: t("digitalSerivces.5.content.features.0.text") },
          { text: t("digitalSerivces.5.content.features.1.text") },
          { text: t("digitalSerivces.5.content.features.2.text") },
        ],
      },
    },
  ]);
  return {
    servicesData,
  };
};
